@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-Bold.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-Italic.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-Italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-BoldItalic.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-BoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-Light.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-Light.woff") format("woff");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-LightItalic.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-LightItalic.woff") format("woff");
  font-weight: 300;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "Poppins";
  src:
    url("../assets/fonts/Poppins/Poppins-Regular.woff2") format("woff2"),
    url("../assets/fonts/Poppins/Poppins-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
    font-family: 'Poppins';
    src: url('../assets/fonts/Poppins/Poppins-Medium.woff2') format('woff2'),
        url('../assets/fonts/Poppins/Poppins-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
  font-family: "Inter";
  src:
    url("../assets/fonts/Inter/Inter28pt-ExtraBold.woff2") format("woff2"),
    url("../assets/fonts/Inter/Inter28pt-ExtraBold.woff") format("woff");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src:
    url("../assets/fonts/Inter/Inter24pt-Bold.woff2") format("woff2"),
    url("../assets/fonts/Inter/Inter24pt-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src:
    url("../assets/fonts/Inter/Inter24pt-Medium.woff2") format("woff2"),
    url("../assets/fonts/Inter/Inter24pt-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src:
    url("../assets/fonts/Inter/Inter24pt-Regular.woff2") format("woff2"),
    url("../assets/fonts/Inter/Inter24pt-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
html {
  scroll-behavior: smooth;
}

:root {
  --black: #000;
  --white: #fff;
  --pink: #e0007c;
  --blue: #1d2361;
  --purple: #9c418d;
  --blue-gradient-start: #1d2361;
  --blue-gradient-end: #404dd3;

  --general--content-spacing: 20px;
}

body {
  margin: 0;
  font-family: "Poppins";
  font-weight: 400;
  color: var(--black);
}

/* container */
.container {
  width: 100%;
  max-width: 1240px;
  padding: 0 20px;
  margin: 0 auto;
}

/* headings */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 2rem;
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins";
  color: var(--black);
  margin: 0 0 var(--general--content-spacing);
  font-weight: 700;
  line-height: 1.2;
}

/* heading class variants */
.h1 {
  font-size: 48px;
}
.h2 {
  font-size: 45px;
}
.h3 {
  font-size: 42px;
}
.h4 {
  font-size: 38px;
}
.h5 {
  font-size: 34px;
}
.h6 {
  font-size: 22px;
}
.subheading {
  font-size: 26px;
}

/* text defaults */
p,
li,
a,
td,
th,
#s {
  font-size: 1rem;
  line-height: 1.6em;
  color: var(--blue);
}

p,
ul,
ol,
table,
.p,
blockquote {
  margin: 0 0 var(--general--content-spacing);
}

p:last-child {
  margin-bottom: 0;
}

/* links */
a {
  color: var(--primary);
  text-decoration: none;
  transition: all 0.5s ease-in-out;
}

a:not(.btn):hover {
  color: var(--pink);
}

/* blockquotes */

blockquote p,
.blockquote {
  font-weight: 600;
  font-size: 120%;
  line-height: 1.4;
}

blockquote p {
  margin: 0;
}

/* font size helper classes */
.font-xl,
.font-xl a {
  font-size: 1.375rem;
  line-height: 1.5em;
} /* 22px */
.font-l,
.font-l a {
  font-size: 1.25rem;
  line-height: 1.55em;
} /* 20px */
.font-m,
.font-r,
.font-m a,
.font-r a {
  font-size: 1rem;
  line-height: 1.6em;
} /* 16px */
.font-s,
.font-s a {
  font-size: 0.9375rem;
  line-height: 1.65em;
} /* 15px */
.font-xs,
.font-xs a {
  font-size: 0.8125rem;
  line-height: 1.7em;
} /* 13px */

/* alignment helpers */
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
.width50 {
  max-width: 50%;
}
/* colour helpers */
.white {
  color: var(--white);
}
.black {
  color: var(--black);
}
.pink {
  color: var(--pink);
}
.blue {
  color: var(--blue);
}
.purple {
  color: var(--purple);
}
.gradient-blue {
  background: linear-gradient(
    to right,
    var(--blue-gradient-start),
    var(--blue-gradient-end)
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* background helpers */
.bg-black {
  background-color: var(--black);
}
.bg-white {
  background-color: var(--white);
}
.bg-pink {
  background-color: var(--pink);
}
.bg-blue {
  background-color: var(--blue);
}
.bg-purple {
  background-color: var(--purple);
}

/* style helpers */
.bold {
  font-weight: bold;
}

.italic {
  font-style: italic;
}

.normal {
  font-weight: normal;
}

.semibold {
  font-weight: 600;
}

.light {
  font-weight: 300;
}

.inter {
  font-family: "Inter";
}

/* images */
img {
  max-width: 100%;
  height: auto;
}

/* lists */
ul,
ol {
  padding-left: 20px;
  margin-top: -10px;
}

ul {
  list-style: none;
  padding-left: 0;
}

ul:not(.list-menu) li {
  position: relative;
  padding-left: 1.75em;
  background: linear-gradient(
    to right,
    var(--blue-gradient-start),
    var(--blue-gradient-end)
  );
  -webkit-background-clip: text;
  /* -webkit-text-fill-color: transparent; */
}

ul li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.4em;
  width: 1em;
  height: 1em;
  background: url("/wp-content/uploads/2026/02/bullet.png") no-repeat left
    center;
  background-size: contain;
  -webkit-background-clip: initial;
  -webkit-text-fill-color: initial;
}

ol {
  list-style-type: decimal;
}

ul ul,
ol ol,
ul ol,
ol ul {
  margin-bottom: 0;
  margin-top: 0;
}

/* tables */
table {
  width: 100%;
}

table th {
  background-color: var(--primary);
  color: #000;
  font-weight: 600;
  text-align: left;
}

table th,
table td {
  padding: 5px;
  border: 1px solid #999;
}

table tr:nth-child(2n) {
  background-color: #eee;
}

/* search */
#searchform {
  margin-bottom: var(--general--content-spacing);
}

#searchform #s {
  border: 1px solid #333;
}

/* buttons */
.btn {
  padding: 11px 22px;
  display: inline-block;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
  font-size: 1rem; /* 16px */
  line-height: 1.6em;
  border-radius: 25px;
}

.btn-header {
  border: 1px solid var(--white);
  color: var(--white);
  background-color: transparent;
}

.btn-header:hover {
  background-color: rgba(255, 255, 255, 0.3);
}

.btn-blue {
  background-color: var(--white);
  color: var(--blue);
  border: 1px solid var(--white);
  display: inline-flex;
  align-items: center;
  width: fit-content;
  gap: 15px;
  padding: 5px 5px 5px 15px;
}

.btn-blue::after {
  content: "\f054";
  font-family: "Font Awesome 6 Free";
  font-weight: 600;
  color: var(--white);
  background-image: linear-gradient(
    to right,
    var(--pink) 0%,
    var(--pink) 50%,
    var(--blue-gradient-start) 50%,
    var(--blue-gradient-end) 100%
  );
  background-size: 200% 100%;
  background-position: 100% 0%;
  transition: background-position 0.5s ease-in-out;
  border-radius: 50%;
  width: 34px;
  height: 34px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.8em;
}

.btn-blue:hover {
  color: var(--pink);
}

.btn-blue:hover::after {
  background-position: 0 0;
}

.btn-expand:hover {
  scale: 1.05;
}

.btn-solid-blue {
  background-image: linear-gradient(
    to right,
    var(--pink) 0%,
    var(--pink) 50%,
    var(--blue-gradient-start) 50%,
    var(--blue-gradient-end) 100%
  );
  background-size: 200% 100%;
  background-position: 100% 0%;
  color: var(--white);
  display: inline-flex;
  align-items: center;
  width: fit-content;
  gap: 15px;
  padding: 5px 5px 5px 15px;
  font-size: 18px;
}

.btn-solid-blue::after {
  content: "\f054";
  font-family: "Font Awesome 6 Free";
  font-weight: 600;
  color: var(--black);
  background-color: white;
  border-radius: 50%;
  width: 34px;
  height: 34px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.8em;
}

.btn-solid-blue:hover {
  background-position: 0 0;
}

.btn-purple {
  background-color: var(--purple);
  color: var(--white);
  display: inline-flex;
  align-items: center;
  width: fit-content;
  gap: 15px;
  padding: 5px 5px 5px 15px;
}

.btn-purple::after {
  content: "\f054";
  font-family: "Font Awesome 6 Free";
  font-weight: 600;
  background-color: var(--white);
  color: var(--purple);
  border-radius: 50%;
  width: 34px;
  height: 34px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.8em;
}

.btn-purple:hover {
  background-color: var(--blue);
}

.referral-btn {
  background-image: url(/wp-content/uploads/2026/03/referral-bg.png);
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
  padding: 15px 25px;
  color: var(--white);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  font-weight: 700;
}

.referral-btn:hover {
  color: var(--pink);
  background-image: url(/wp-content/uploads/2026/03/referral-bg-hover.png);
}

/*end*/

/* Menu */
.navBar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}
.navBar .Logo img {
  height: 38px;
}
nav ul.menu {
  display: flex;
  justify-content: space-between;
  column-gap: 10px;
  padding: 0;
  list-style-type: none;
  margin: 0;
}
nav ul.menu li {
  position: relative;
  padding: 5px 15px;
}
nav ul.sub-menu {
  display: none;
  list-style-type: none;
  flex-direction: column;
  position: absolute;
  padding: 20px 10px;
  background-color: var(--primary);
  min-width: 250px;
  z-index: 8;
}
nav ul.sub-menu ul.sub-menu {
  right: -100%;
  top: 0;
}
nav ul.menu a {
  color: #fff;
}
nav ul.menu a:hover {
  color: #000;
}
/* End Menu */
#ContentWrap {
  padding: 50px 0;
}
/* Archive */
.archive-loop {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}
.ArticleImgWrap {
  display: block;
  width: 100%;
  height: 225px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}
.navigation.pagination {
  background-color: unset;
  text-align: center;
  margin-top: 30px;
  padding: 0;
}
.page-numbers {
  background-color: var(--primary);
  padding: 4px;
  color: #fff;
}
a.page-numbers:hover,
.page-numbers.current {
  background-color: #000;
  color: #fff;
}
/* End of Archive */

/* Device = Laptops, Desktops */
@media (min-width: 1025px) and (max-width: 1280px) {
}

/* Device = Tablets, Ipads (portrait) */
@media (min-width: 768px) and (max-width: 1024px) {
  .archive-loop {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Device = Tablets, Ipads (landscape) */
@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  .archive-loop {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Device = Low Resolution Tablets, Mobiles (Landscape) */
@media (min-width: 481px) and (max-width: 767px) {
  .archive-loop {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Device = Most of the Smartphones Mobiles (Portrait) */
@media (min-width: 320px) and (max-width: 480px) {
  .archive-loop {
    grid-template-columns: repeat(1, 1fr);
  }
}
